import java.io.IOException;

public class CatchTheMouse {
  public static void main(String[] args) throws IOException {
    int round = 0;

    System.out.println("Welcome to Catch the Mouse");
    Game game = Game.getInstance(10, 10);

    try {
      while (!game.gameOver()) {
        game.writer.write("Round " + round);
        game.writer.newLine();
        game.printField();
        game.cat.movePlayer();
        game.mouse.movePlayer();
        Thread.sleep(1000);

        round++;
      }
      game.writer.flush();

      System.out.println("Congrats! You caught the mouse!");
    } catch (Exception e) {
      game.writer.flush();
      e.printStackTrace();
    }
  }
}
